1. #1
    Ext User
    Join Date
    Mar 2007
    Posts
    2
    Vote Rating
    0
    sam_sam is on a distinguished road

      0  

    Default getting started

    getting started


    Hi,
    Guys, I am having a serious problem in including the extension in my html file, i am not sure what files to import.
    for example if i need to use the tabpanel:
    Code:
       // basic tabs 1, built from existing content
        var tabs = new YAHOO.ext.TabPanel('tabs1');
        tabs.addTab('script', "View Script");
        tabs.addTab('markup', "View Markup");
        tabs.activate('script');
        
        // more advanced tabs, built from javascript
        var jtabs = new YAHOO.ext.TabPanel('jtabs');
        jtabs.addTab('jtabs-1', "Normal Tab", "My content was added during construction.");
    according to the documentation :

    Code:
    Defined in TabPanel.js
    
    Requires:
    
          - YAHOO.ext.Element
          - YAHOO.ext.UpdateManager
          - YAHOO.util.Dom
          - YAHOO.util.Event
          - YAHOO.util.CustomEvent
          - YAHOO.util.DDProxy
          - YAHOO.util.Connect (optional)
    I have used "TabPanel.js" but how can I include the Requires ?
    including "TabPanel.js" alone was not enough.

    thx.
    sam.

  2. #2
    Sencha User jack.slocum's Avatar
    Join Date
    Mar 2007
    Location
    Tampa, FL
    Posts
    6,955
    Vote Rating
    16
    jack.slocum will become famous soon enough

      0  

    Default


    Everything requires yui-ext-core.js (except yui-ext.js which includes it).

    The others are YUI files. You can get by with yahoo.js, dom.js, event.js and optionally connection.js (for Ajax loading).

    So, these are your includes:

    yahoo.js
    dom.js
    event.js
    connection.js (optional)
    yui-ext-core.js
    tabs-lib.js

  3. #3
    Ext User
    Join Date
    Mar 2007
    Posts
    2
    Vote Rating
    0
    sam_sam is on a distinguished road

      0  

    Default


    Hi jack,
    Am I missing something here?
    this is what I have used:

    Code:
    <html>
    <head>
    script type="text/javascript" src="yahoo.js"></script>
    script type="text/javascript" src="dom.js"></script>
    script type="text/javascript" src="event.js"></script>
    script type="text/javascript" src="connection.js"></script>
    script type="text/javascript" src="yui-ext-core.js"></script>
    script type="text/javascript" src="tabs-lib.js"></script>
    </head>
    
    <body>
    
    <script>
    // basic tabs 1, built from existing content
        var tabs = new YAHOO.ext.TabPanel('tabs1');
        tabs.addTab('script', "View Script");
        tabs.addTab('markup', "View Markup");
        tabs.activate('script');
        
    </script>
    
    </body>
    </html>
    and I am getting a JS error.

    (I have omited the "<" before the script so that it can be displayed in the post)

    I took all the files from yui_0.11.4 except tabs and yui-ext-core from yui-ext.32.3.1.

    thx for your help.
    sam.

  4. #4
    Sencha User jack.slocum's Avatar
    Join Date
    Mar 2007
    Location
    Tampa, FL
    Posts
    6,955
    Vote Rating
    16
    jack.slocum will become famous soon enough

      0  

    Default


    "Built from existing markup", only I don't see the elements in your file.

Similar Threads

  1. Getting started with ASP.NET
    By abolotnov in forum Ext 1.x: Help & Discussion
    Replies: 9
    Last Post: 10 Mar 2007, 12:52 PM
  2. Getting started with YUI
    By ssmith in forum Ext 1.x: Help & Discussion
    Replies: 6
    Last Post: 8 Mar 2007, 4:01 PM
  3. Getting Started with YUI
    By fthamura in forum Ext 1.x: Help & Discussion
    Replies: 4
    Last Post: 15 Jan 2007, 9:17 AM
  4. getting started
    By mcdavis941 in forum Ext 1.x: Help & Discussion
    Replies: 12
    Last Post: 23 Nov 2006, 3:29 AM
  5. A little help getting started...
    By rgoff in forum Ext 1.x: Help & Discussion
    Replies: 4
    Last Post: 25 Sep 2006, 3:52 PM

Thread Participants: 1